#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    ll n,k,x;
    cin >> n >> k >> x;
    if(k == 3){
        if(n == 3){
            cout << x << " " << 2*x << " " << 3*x << endl;
            return 0;
        }
        cout << 1 << " " << x+1 << " " << x+1 << " " << x+1 << " ";
        for(int i = 1; i <= n-4; i++){
            cout << x << " ";
        }
        return 0;
    }
}